#!/bin/bash

datetime=`date +%Y%m%d%H`

mkdir -p ~/.aws

echo -ne "[default]\naws_access_key_id = ${AWS_ACCESS_KEY}\naws_secret_access_key = ${AWS_SECRET_KEY}\n" > ~/.aws/credentials

dbs=${DATABASES}

for db in ${dbs[@]}; 
do
    mysqldump -h ${HOST} -P ${PORT} -u backup -p${PASSWORD} --single-transaction --set-gtid-purged=OFF $db > ${db}.sql
    if (($?==0));then
        aws s3 cp ${db}.sql s3://bfs-pkg-storage/mysql/backup/${datetime}/
    else
        echo "Backup to failed"
        exit 1
    fi
done